Package com.pixelmed.display

# Class SafeFileChooser.SafeFileChooserThread

java.lang.Object
com.pixelmed.display.SafeFileChooser.SafeFileChooserThread

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  SafeFileChooser

public static class SafeFileChooser.SafeFileChooserThread extends Object implements Runnable

## Constructor Summary

Constructors
Constructor
Description
`SafeFileChooserThread()`
`SafeFileChooserThread(int fileSelectionMode)`
`SafeFileChooserThread(int fileSelectionMode, String initialDirectoryPath)`
`SafeFileChooserThread(int fileSelectionMode, String initialDirectoryPath, String dialogTitle)`
`SafeFileChooserThread(String initialDirectoryPath)`
`SafeFileChooserThread(String initialDirectoryPath, String dialogTitle)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCurrentDirectoryPath()`
`String`
`getSelectedFileName()`
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SafeFileChooserThread

public SafeFileChooserThread()

### SafeFileChooserThread

public SafeFileChooserThread(int fileSelectionMode)

### SafeFileChooserThread

public SafeFileChooserThread(String initialDirectoryPath)

### SafeFileChooserThread

public SafeFileChooserThread(int fileSelectionMode, String initialDirectoryPath)

### SafeFileChooserThread

public SafeFileChooserThread(String initialDirectoryPath, String dialogTitle)

### SafeFileChooserThread

public SafeFileChooserThread(int fileSelectionMode, String initialDirectoryPath, String dialogTitle)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### getSelectedFileName

public String getSelectedFileName()

### getCurrentDirectoryPath

public String getCurrentDirectoryPath()